Skip to content

List All Templates

Request

Lists all templates. The results are paged, as described in the Paging Results tech note.

Security
apiKey
Query
api_keystringrequired
with_deletedboolean

When set to true the response will also include templates that have been deleted.

Example:with_deleted=1
customer_namestring

Matches templates for the customer with this name.

Example:customer_name=John%20Smith
customer_idinteger

Matches templates for the customer with this ID.

worker_namestring

Matches templates assigned to the worker with this name.

Example:worker_name=Truck%2009
worker_idinteger

Matches templates assigned to the worker with this ID.

updated_atstring

Matches templates updated after this date and time. The format of the date/time must be iso8601.

sort_bystring

Field to sort the results by, for example created_at, updated_at or template_name. Defaults to created_at.

sort_dirstring

asc or desc. Defaults to desc.

Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/templates.xml
curl -i -X GET \
  'https://go.vworkapp.com/api/v5/templates.xml?api_key=string&with_deleted=1&customer_name=John%2520Smith&customer_id=0&worker_name=Truck%252009&worker_id=0&updated_at=string&sort_by=string&sort_dir=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Statusstring
Example:"200 OK"
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<templates type="array" current_page="1" per_page="1" total_pages="1" total_entries="1">
    <template>
        <id readonly="readonly">1</id>
        <template_name>Lawn Mowing</template_name>
        <job_type readonly="readonly">job</job_type>
        <group_ids/>
        <web_labels type="array">
            <label>Customer Name</label>
            <label>Template Name</label>
            <label>Job ID</label>
        </web_labels>
        <mobile_labels type="array">
            <label>Customer Name</label>
            <label>Template Name</label>
        </mobile_labels>
        <enable_invoicing>false</enable_invoicing>
        <customer_name/>
        <customer_id/>
        <customer_third_party_id/>
        <worker_id/>
        <worker_third_party_id/>
        <worker_name/>
        <planned_duration>3600</planned_duration>
        <notes type="array"/>
        <steps type="array">
            <step>
                <id readonly="readonly…